#include <LiquidCrystal.h>

#define RS 8
#define E 9
#define DB4 4
#define DB5 5
#define DB6 6
#define DB7 7
#define LED 10

LiquidCrystal lcd(RS, E, DB4, DB5, DB6, DB7);  //define LCD pins connection

unsigned long lcdFreq;


//LCD init
void displayInit() {
  lcd.begin(16,2);
  lcd.clear();
}


//Display frequency
void displayFrequency(unsigned long frequency) {
  lcdFreq = frequency;
  
  lcd.setCursor(0,0);
  
  if (frequency < 10000000) {
    lcd.write(" ");
  }
  
  lcd.print((int)((frequency/1000000)%1000));
  lcd.write(".");

  lcd.print((int)((frequency/100000)%10));
  lcd.print((int)((frequency/10000)%10));
  lcd.print((int)((frequency/1000)%10));
  lcd.write(".");

  lcd.print((int)((frequency/100)%10));
  lcd.print((int)((frequency/10)%10));
  lcd.print((int)(frequency%10));
}
